Subject: Re: Another IGMPv3 question

From: Isidor Kouvelas <[email-masked]>
Date: Thu, 26 Apr 2001 18:24:12 -0700

The periodic query / report mechanism of IGMP will make sure that the
INCLUDE hosts get a chance to report before the exclude timer expires
hence the X set will contain the list of sources to use when switching
to include mode.

thanks
I

[email-masked] writes:
>
>
>From:  James Huang@MITEL on 04/26/2001 05:54 PM PDT
>Hi Isidor:
>
>     I found the the following quote from an email you sent back in Aug/2000.
>
>"When the last host in EXCLUDE mode leaves the group, the router sends a group
>specific query. This causes the EXCLUDE group timer on the router to be lowere
>d.
>At this point all hosts in INCLUDE mode respond and update the list X. As ther
>e
>are no hosts left in EXCLUDE mode, no EXCLUDE reports are received to update t
>he
>group timer. Hence the timer expires with all the sources in INCLUDE mode list
>ed
>in X. At this point list X is used as the list of source to forward in INCLUDE
>mode."
>
>     I believe what you described there is about the action to take when
>receiving a TO_IN(A) report when in the EXCLUDE(X,Y) state. My question is
>whether the router should also send a qroup-specific query when the group time
>r
>expires and the router is about to switch from the EXCLUDE mode to the INCLUDE
>mode. When I read section 6.5 "Switching Router Filter-Modes", I can not find
>any description about sending a group specific query when the group timer
>expires.  Without sending a group-sepcific query before switching the filter
>mode of the group, you may end up not forwarding traffics from some sources
>which have interested receivers in the subnet. This may happen, for example,
>when the last EXCLUDE mode host crashes. Of course, the router only have to se
>nd
>the group-specific query if it has not sent such query recently.  Otherwise, t
>he
>router will keep on sending group-specific queries.
>
>
>Thanks,
>-- James Huang
>
>

---

From: Cheng Hong <[email-masked]>
Date: Fri, 27 Apr 2001 11:17:09 +0800

I think the draft is not updated properly. Anyway, here is the reply I got
for a related questions::

"""""""""""""""""""""""""""""""""""""""""
>>
>> If someone wanted A-B before the EXCLUDE statements group timer
>> ran out, they would send a notice about it.  This would stuff
>> A-B in the X entry, so it would be there when you go to INCLUDE.
>>
>
>Also in the table of page 32, it says that when the router is in
>EXCLUDE(X,Y) state, if it received the IS_IN(A) report, the state would go
>to EXCLUDE(X, Y-A). The X is not touched at all.

I just checked:
http://www.ietf.org/internet-drafts/draft-ietf-idmr-igmp-v3-07.txt

Actually it says this:

EXCLUDE (X,Y)  IS_IN (A)     EXCLUDE (X+A,Y-A)        (A)=GMI

Is there some other page you're refering to?

>
>So, consider a sequence like this:
>	INCLUDE(A) received IS_EX(B) --> EXCLUDE(A*B, B-A) received IS_IN(A) --
>>
>EXCLUDE(A*B, B-A) received IS_EX(B) --> EXCLUDE(B-(B-A), (B-A)*B) =
>EXCLUDE(B*A, B-A)
>Seems it would never reach the EXCLUDE(A, B-A) which could lead to
>INCLUDE(A) when the group timer expires.
>

""""""""""""""""""""""""""""""""""""""""""""""

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of [email-masked]
> Sent: Friday, April 27, 2001 8:55 AM
> To: [email-masked]; Isidor Kouvelas
> Subject: Re: Another IGMPv3 question
>
>
>
>
> specific query. This causes the EXCLUDE group timer on the router
> to be lowered.
> At this point all hosts in INCLUDE mode respond and update the
> list X. As there
> are no hosts left in EXCLUDE mode, no EXCLUDE reports are
> received to update the
> group timer. Hence the timer expires with all the sources in
> INCLUDE mode listed
> whether the router should also send a qroup-specific query when
> the group timer
> when the last EXCLUDE mode host crashes. Of course, the router
> only have to send
> the group-specific query if it has not sent such query recently.
> Otherwise, the

---

From: [email-masked]
Date: Thu, 26 Apr 2001 17:54:56 -0700

"When the last host in EXCLUDE mode leaves the group, the router sends a group
specific query. This causes the EXCLUDE group timer on the router to be lowered.
At this point all hosts in INCLUDE mode respond and update the list X. As there
are no hosts left in EXCLUDE mode, no EXCLUDE reports are received to update the
group timer. Hence the timer expires with all the sources in INCLUDE mode listed
in X. At this point list X is used as the list of source to forward in INCLUDE
mode."

     I believe what you described there is about the action to take when
receiving a TO_IN(A) report when in the EXCLUDE(X,Y) state. My question is
whether the router should also send a qroup-specific query when the group timer
expires and the router is about to switch from the EXCLUDE mode to the INCLUDE
mode. When I read section 6.5 "Switching Router Filter-Modes", I can not find
any description about sending a group specific query when the group timer
expires.  Without sending a group-sepcific query before switching the filter
mode of the group, you may end up not forwarding traffics from some sources
which have interested receivers in the subnet. This may happen, for example,
when the last EXCLUDE mode host crashes. Of course, the router only have to send
the group-specific query if it has not sent such query recently.  Otherwise, the
router will keep on sending group-specific queries.

Thanks,
-- James Huang